curl --request GET \
--url https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"impressions": {
"total": 123,
"charged": 123,
"adSpent": 123,
"adSpentDecimal": "<string>"
},
"clicks": {
"total": 123,
"charged": 123,
"adSpent": 123,
"adSpentDecimal": "<string>"
},
"purchases": {
"amount": 123,
"count": 123,
"quantity": 123,
"direct": {
"amount": 123,
"count": 123,
"quantity": 123,
"countByProduct": {}
},
"indirect": {
"amount": 123,
"count": 123,
"quantity": 123,
"countByProduct": {}
},
"countByProduct": {}
},
"auctions": {
"percentageWon": 123,
"won": 123,
"lost": 123
},
"viewability": 123,
"video": {
"playStarts": 123,
"firstQuartiles": 123,
"midpoints": 123,
"thirdQuartiles": 123,
"completes": 123,
"errors": 123
},
"renders": "<unknown>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Campaign Video Report
Get a video campaign’s total behavioral summary and video playback report between given dates.
curl --request GET \
--url https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/reporting-service/campaigns/{campaign_id}/video")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"impressions": {
"total": 123,
"charged": 123,
"adSpent": 123,
"adSpentDecimal": "<string>"
},
"clicks": {
"total": 123,
"charged": 123,
"adSpent": 123,
"adSpentDecimal": "<string>"
},
"purchases": {
"amount": 123,
"count": 123,
"quantity": 123,
"direct": {
"amount": 123,
"count": 123,
"quantity": 123,
"countByProduct": {}
},
"indirect": {
"amount": 123,
"count": 123,
"quantity": 123,
"countByProduct": {}
},
"countByProduct": {}
},
"auctions": {
"percentageWon": 123,
"won": 123,
"lost": 123
},
"viewability": 123,
"video": {
"playStarts": 123,
"firstQuartiles": 123,
"midpoints": 123,
"thirdQuartiles": 123,
"completes": 123,
"errors": 123
},
"renders": "<unknown>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Paramètres de chemin
The ID of the campaign.
Paramètres de requête
The start date for which reports will be generated.
The end date for which reports will be generated.
Réponse
Successful Response
Campaign-grain report plus video playback events, for video campaigns.
How many impressions are attributed to this report item.
Show child attributes
Show child attributes
How many clicks are attributed to this report item.
Show child attributes
Show child attributes
How many purchases are attributed to this report item, split by attribution.
Show child attributes
Show child attributes
How many auctions are attributed to this report item.
Show child attributes
Show child attributes
Viewability: viewable impressions over the marketplace's configured denominator. Proxy (impressions / auctions_won) for most marketplaces; IAB (impressions / renders) for marketplaces that emit render events. Not capped, so a value above 1 signals inconsistent data rather than being silently hidden.
Video playback events attributed to this campaign.
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?